<?php get_header(); ?>

<div class="container pt-5">
	<div class="row">
		<div class="col-sm-8">
			
			<?php  if( have_posts() ) : while( have_posts() ) : the_post(); ?>
				
				<?php if( has_post_thumbnail() ) :

					// thumbnail, medium, large, full
					the_post_thumbnail('large', array('class' => 'img-fluid') );

				endif; ?>

				<h1><?php the_title(); ?></h1>

				<p><?php the_category(', '); ?> | <?php the_author(); ?> | <?php the_time('d/m/Y'); ?></p>

				<div>
					<?php the_content(); ?>

					<p><?php the_tags('Tags: ', ', ', ''); ?></p>
				</div>
			
			<?php endwhile; endif; ?>

			<?php

			$categories = wp_get_post_categories( get_the_ID() );

			$query = new WP_Query( 
				array(
					'category__in' => $categories,
					'post_per_page' => 3
				)
			);

			if ( $query->have_posts() ) : ?>
				
				<hr/>

				<h3>Posts Relacionados</h3>

				<?php
				while( $query->have_posts() ) :
					$query->the_post();

					get_template_part('partials/post', 'default');

				endwhile; ?>

				<hr/>

			<?php endif; 

			wp_reset_postdata();

			?>

			<?php if ( comments_open() || get_comments_number() ) :
     			comments_template();
 			endif; ?>

		
		</div>
		
		<div class="col-sm-4">
			<?php get_sidebar(); ?>
		</div>
	
	</div>
</div>

<?php get_footer();