<?php 
/*
Template Name: Full Width
Template Post Type: page,post
*/

get_header(); ?>

<div class="container pt-5">
	<div class="row">
		<div class="col-sm-12">
			<?php  if( have_posts() ) : while( have_posts() ) : the_post(); ?>
				<h1><?php the_title(); ?></h1>
				<div>
					<?php the_content(); ?>
				</div>
			<?php endwhile; endif; ?>
		</div>
	</div>


	<?php 

	global $wp_query, $post;

	$old_query = $wp_query;

	$wp_query = new WP_Query( array( 
		'post_type' => array('any'),
		's' => 'item',
		'posts_per_page' => 1,
		'orderby' => 'title date',
		'order' => 'ASC',
		'paged' => get_query_var('paged') ? get_query_var('paged') : 1
	) );

	if ( have_posts() ) : ?>
				
		<hr/>

		<h2>Resultados:</h2>

		<?php
		while( have_posts() ) :
			the_post(); ?>

			<h3><?php the_title(); ?></h3>
			
		<?php endwhile; ?>

		<?php echo paginate_links(); ?>

		<hr/>

	<?php endif; 

	wp_reset_postdata();

	$wp_query = $old_query;

	?>

	<hr/>

	<?php 

	$stickies = get_option( 'sticky_posts' ); 
	// print_r($stickies);

	$query = new WP_Query( array( 
		'post_type' => 'post',
		'post__in' => $stickies,
		'posts_per_page' => 1
	) );

	if ( $query->have_posts() ) : ?>
				
		<hr/>

		<h2>Artigo Fixo:</h2>

		<?php
		while( $query->have_posts() ) :
			$query->the_post(); ?>

			<h3><?php the_title(); ?></h3>
			
		<?php endwhile; ?>

		<hr/>

	<?php endif; 

	wp_reset_postdata();

	?>

</div>

<?php get_footer();