<?php get_header(); ?>

<div class="container pt-5">
	<div class="row">
		<div class="col-sm-8">
			
			<?php  if( have_posts() ) : while( have_posts() ) : the_post(); ?>
				
				<?php if( has_post_thumbnail() ) :

					// thumbnail, medium, large, full
					the_post_thumbnail('large', array('class' => 'img-fluid') );

				endif; ?>

				<h1><?php the_title(); ?></h1>

				<div>
					<?php the_content(); ?>
				</div>
			
			<?php endwhile; endif; ?>


			<?php

			$query = new WP_Query( array (
				'post_type' => array('portfolio'),
				'posts_per_page' => 3, // -1
				'tax_query' => array(
					// 'relation' => 'AND',
					array(
						'taxonomy' => 'type',
						'field' => 'slug',
						'terms' => array('web', 'rotulos'),
						'include_children' => false,
						'operator' => 'IN'
					),
					// array(
					// 	'taxonomy' => 'cliente',
					// 	'field' => 'slug',
					// 	'terms' => array('tal'),
					// 	'include_children' => false
					// )
				)
			) );	

			if ( $query->have_posts() ) : ?>
				
				<hr/>

				<h2>Outros trabalhos</h2>

				<?php
				while( $query->have_posts() ) :
					$query->the_post();

					if( has_post_thumbnail() ) :

						// thumbnail, medium, large, full
						the_post_thumbnail('thumbnail', array('class' => 'img-fluid') );

					endif; ?>

					<h3><?php the_title(); ?></h3>
					

				<?php endwhile; ?>

				<hr/>

			<?php endif; 

			wp_reset_postdata();

			?>
		
		</div>
		
		<div class="col-sm-4">
			<?php get_sidebar('portfolio'); ?>
		</div>
	
	</div>
</div>

<?php get_footer();